"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
var typedoc_1 = require("typedoc");
function load(app) {
    app.converter.on(typedoc_1.Converter.EVENT_CREATE_DECLARATION, function (context, reflection) {
        if (reflection.name !== "default" && reflection.name !== "export=") {
            return;
        }
        // reflection.escapedName is the cheapest option
        if (reflection.escapedName && reflection.escapedName !== "default") {
            reflection.name = reflection.escapedName;
            return;
        }
        // if that does not work, try harder
        var symbol = context.project.getSymbolFromReflection(reflection);
        if (symbol && symbol.declarations && symbol.declarations[0]) {
            var node = symbol.declarations[0];
            if (node && node.name) {
                reflection.name = node.name.getText();
                return;
            }
        }
        // Finally, fallback to the file name
        if (reflection.parent && reflection.parent.name) {
            // Removes the folder name
            var name_1 = reflection.parent.name.split("/").pop();
            if (name_1) {
                // Example: User.entity becomes just User
                reflection.name = name_1.split(".")[0];
            }
        }
    });
}
exports.load = load;
//# sourceMappingURL=index.js.map